xemacs21 (21.4.22-14~deb8u1) jessie; urgency=medium

  * Non-maintainer upload.
  * Rebuild for jessie.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 27 Jul 2015 15:00:44 +0200

xemacs21 (21.4.22-14) unstable; urgency=low

  * Clean up after half baked removal of circular dependency, add an
    empty versioned lib directory now dpkg does the right thing with
    that (closes: #783704).

 -- Mark Brown <broonie@debian.org>  Wed, 29 Apr 2015 12:41:56 +0100

xemacs21 (21.4.22-13) unstable; urgency=low

  * Clean up after half baked removal of circular dependency, add an
    empty versioned lib directory now dpkg does the right thing with
    that (closes: #783704).

 -- Mark Brown <broonie@debian.org>  Wed, 29 Apr 2015 12:41:56 +0100

xemacs21 (21.4.22-12) unstable; urgency=low

  * Remove dependency from support to binary package since the binary
    package already has the equivalent dependency (closes: #735268).
  * Conflict against old transitional packages to make absolutely sure
    that they are removed before we try to upgrade (closes: #775733).
  * Above changes originally from Andreas Beckmann <anbe@debian.org>.

 -- Mark Brown <broonie@debian.org>  Sat, 25 Apr 2015 11:07:31 +0100

xemacs21 (21.4.22-11) unstable; urgency=low

  * Remove GNOME transitional packages which have been present for more
    than one release already to avoid hang (closes: #775733).

 -- Mark Brown <broonie@debian.org>  Mon, 19 Jan 2015 12:23:03 +0000

xemacs21 (21.4.22-10) unstable; urgency=medium

  * Only create symlinks for old etc and lisp directories in the support
    package (closes: #696146).

 -- Mark Brown <broonie@debian.org>  Thu, 16 Oct 2014 12:21:45 +0200

xemacs21 (21.4.22-9) unstable; urgency=low

  * Bump libtiff build dependency to libtiff5 since libtiff4 was
    removed (closes: #765161).

 -- Mark Brown <broonie@debian.org>  Wed, 15 Oct 2014 11:14:38 +0200

xemacs21 (21.4.22-8) unstable; urgency=low

  * Add watch file from David Gilman <dgilman@gilslotd.com> (closes: #744089).
  * Add homepage.
  * Policy 3.9.5 (no changes).

 -- Mark Brown <broonie@debian.org>  Fri, 11 Apr 2014 12:02:41 +0100

xemacs21 (21.4.22-7) unstable; urgency=low

  * Build depends on libpng (closes: #662557).
  * Use linux-any now it's available (closes: #634666).
  * Remove autogeneration of debian/control.
  * Remove stray build dep on dpatch.

 -- Mark Brown <broonie@debian.org>  Tue, 08 Apr 2014 14:15:56 +0100

xemacs21 (21.4.22-6) unstable; urgency=low

  * Build depend on libtiff-dev instead of libtiff4-dev (closes: #736050).

 -- Mark Brown <broonie@debian.org>  Thu, 23 Jan 2014 10:48:10 +0000

xemacs21 (21.4.22-5) unstable; urgency=low

  * Don't use install-info any more.

 -- Mark Brown <broonie@debian.org>  Sun, 17 Nov 2013 16:52:17 +0000

xemacs21 (21.4.22-4) unstable; urgency=low

  * New maintainer, reupload.  There are still a number of issues that
    need to be fixed with the package but this restores us to roughly
    the state we were in prior to removal with the RC bugs dealt with
    ready for incremental fixes and able to use pbuilder (closes: #729660).
  * Fix build with texinfo5 (closes: #712355).
  * Build depend on unversioned libjpeg-dev so we can build (closes: #634646).
  * Convert to v3.0 (quilt).
  * Clean some additional generated files.

 -- Mark Brown <broonie@debian.org>  Sun, 17 Nov 2013 16:22:48 +0000

xemacs21 (21.4.22-3.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix race conditions in lib-src/movemail.c which may be exploited by
    other users in the mail group to read/delete/modify mailboxes.
    Ported patch from Dan Rosenberg to xemacs21
    (11_CVE-2010-0825.dpatch; Closes: #590303).

 -- Nico Golde <nion@debian.org>  Tue, 27 Jul 2010 14:27:11 +0200

xemacs21 (21.4.22-3) unstable; urgency=low

  * When installing alternatives of xemacs and editor, check if there is
    /usr/bin/xemacs21. (Closes: #561100)
  * debian/patches/06_fix_CVE-2009-2688.dpatch: New patch. Fix the
    vulnerability of CVE-2009-2688 (Closes: #540470).
  * debian/control.in:
    - Update Standards-Version.
    - Add Dependency on ${misc:Depends}.
    - Update version dependency on debhelper.

 -- OHURA Makoto <ohura@debian.org>  Fri, 02 Apr 2010 12:09:18 +0900

xemacs21 (21.4.22-2) unstable; urgency=low

  * debian/control.in:
    - Change Build-Depends: field.  Use libgpm-dev instead of libgpmg1-dev
    which is a dummy package.
    - Add dependency of xemacs21-support on install-info. (Closes: #532586)
  * Remove support of gtk1.2. (Closes: #166185)
    - Replace xemacs21-gnome-* with transitional packages.
    - debian/control.in: Rewrite a description.
  * Move update-alternative commands for installing generic names,
    /usr/bin/xemacs and /usr/bin/editor, from the postinst of xemacs21-bin
    package to the one of xemacs21 package. (Closes: #531548)

 -- OHURA Makoto <ohura@debian.org>  Sun, 28 Jun 2009 23:59:11 +0900

xemacs21 (21.4.22-1) unstable; urgency=low

  * New upstream release
  * debian/patches/20_gcc_4.0_compiling.dpatch: Remove.  Fixed at
    upstream.
  * debian/generate-menus: Modify the section name of the menu system,
    from Apps to Applications.
  * debian/control.in: Rewrite a description.
    - Modify a duplicated word in the description.
    - Use an official name. gtk to GTK+, gnome to GNOME.
  * debian/PackagesMakefile.in: Drop execute permission from
    cygwin.sc. (for lintian)

 -- OHURA Makoto <ohura@debian.org>  Tue, 03 Mar 2009 20:41:49 +0900

xemacs21 (21.4.21-4) unstable; urgency=high

  * Set urgency to high to fix RC bugs.
  * debian/patches/10_doprnt_use_malloc.dpatch: New patch.
    - Use malloc(3) instead of alloca(3).  (CVE-2007-6109) (Closes: #457764)
  * debian/patches/10_vcdiff_use_mktemp.dpatch: New patch.
    - Fix insecure usage of temporary files. (CVE-2008-1694)
    (Closes: #476613)
  * debian/rules: Add -Wall and -O2 to CFLAGS.
  * debian/control.in:
    - Update Standards-Version.
    - Remove Build-dependency on x-dev.
    - Add Build-dependency on autotools-dev.
  * debian/PackagesMakefile.in: Sync with newer config.sub and
    config.guess.

 -- OHURA Makoto <ohura@debian.org>  Sun, 27 Jul 2008 17:42:21 +0900

xemacs21 (21.4.21-3) unstable; urgency=low

  * debian/patches/10_ldap_deprecated.dpatch: New patch.
    - Defined LDAP_DEPRECATED in the include file to continue using the
    deprecated ldap functions. (Closes: #463411)

 -- OHURA Makoto <ohura@debian.org>  Tue, 11 Mar 2008 23:47:54 +0900

xemacs21 (21.4.21-2) unstable; urgency=low

  * Added info file of xemacs21 to Info dir file. (Closes: #330253)
    - debian/patches/10_info_correct_dir.dpatch: New patch.
    - Use install-info at postinst and prerm.
  * Dropped dependency on gnome-libs. (Closes: #460790)
    - debian/control.in: Dropped dependencies on libgnome-dev and
    libart-dev.
    - debian/PackagesMakefile.in: Dropped --with-gnome from configure
    options.

 -- OHURA Makoto <ohura@debian.org>  Sun, 03 Feb 2008 18:22:12 +0900

xemacs21 (21.4.21-1) unstable; urgency=low

  * New upstream release

 -- OHURA Makoto <ohura@debian.org>  Tue, 13 Nov 2007 21:28:51 +0900

xemacs21 (21.4.20-3) unstable; urgency=low

  * debian/control.in: Changed Build-Dependency.  Use libdb-dev instead of
    libdb4.5-dev.  (Closes: #441525)

 -- OHURA Makoto <ohura@debian.org>  Thu, 18 Oct 2007 00:26:27 +0900

xemacs21 (21.4.20-2) unstable; urgency=low

  * debian/control.in:
    - Made xemacs21 binNMU-safe. (Closes: #432979)
    - Removed dependency on xemacs21 of xemacs21-bin.
  * debian/rules:
    - Removed DH_COMPAT environment variable and added debian/compat.
    - Check if there is Makefile before running make distclean. (lintian)

 -- OHURA Makoto <ohura@debian.org>  Sat, 04 Aug 2007 10:51:50 +0900

xemacs21 (21.4.20-1.1) unstable; urgency=low

  * NMU
  * Switch libdb3-dev build dependency to libdb4.5-dev.  closes: #421956.
  * Apply patch from Lior Kaplan to make xemacs21 binNMU-safe.
    closes: #432979.
  * Switch libpng3-dev build dependency to libpng12-dev.

 -- Clint Adams <schizo@debian.org>  Sat, 21 Jul 2007 00:42:51 -0400

xemacs21 (21.4.20-1) unstable; urgency=low

  * New upstream release
  * debian/control.in: Changed Build-Dependency.  Use xbitmaps and
    xcursor-themes instead of xlibs-data.

 -- OHURA Makoto <ohura@debian.org>  Sun, 25 Mar 2007 17:12:35 +0900

xemacs21 (21.4.19-2) unstable; urgency=medium

  * Set urgency to medium to fix a RC bug.
  * Fixed postint and prerm problem with regard to symbolic link in
    /usr/lib/xemacs-21.4.* directory. (Closes: #391778).
  * Fixed FTBFS on GNU/kFreeBSD. (Closes: #366133).
    - debian/patches/05_fix_FTBFS_on_kFreeBSD.dpatch: Set "opsys=linux" in
    GNU/kFreeBSD system.
    - debian/control.in: Changed Build-Dependency. libgpmg1-dev is Linux
    specific package.
    - debian/rules: Use dpkg-architecture instead of dpkg --print-architecture.
  * debian/control.in: Update Standards-Version.

 -- OHURA Makoto <ohura@debian.org>  Sat,  4 Nov 2006 00:08:10 +0900

xemacs21 (21.4.19-1) unstable; urgency=low

  * New upstream release

 -- OHURA Makoto <ohura@debian.org>  Thu,  2 Feb 2006 23:23:50 +0900

xemacs21 (21.4.18-3) unstable; urgency=low

  * debian/PackagesMakefiles.in:
    - Accidentally I've dropped some configure options at 21.4.17-2.
    Put them back.
    - Add --with-system-malloc to configure option at all architectures in
    order to use GNU malloc in glibc instead of the one in the source
    tree.

 -- OHURA Makoto <ohura@debian.org>  Fri, 20 Jan 2006 23:05:53 +0900

xemacs21 (21.4.18-2) unstable; urgency=medium

  * Set urgency=medium to fix FTBFS problem.
  * debian/control.in:
    - Fix Build-Depends: for transition of xlibs-dev. (Closes: #346847).
    - Add libgpmg1-dev to Build-Depends: field.

 -- OHURA Makoto <ohura@debian.org>  Sat, 14 Jan 2006 21:35:29 +0900

xemacs21 (21.4.18-1) unstable; urgency=low

  * New upstream release
  * debian/patches/20_gcc_4.0_compiling.dpatch: Sync with 21.4.18
  * debian/control.in: Update Standards-Version.

 -- OHURA Makoto <ohura@debian.org>  Sat, 10 Dec 2005 00:02:01 +0900

xemacs21 (21.4.17-2) unstable; urgency=low

  * debian/PackagesMakefiles.in:
    - Configure with the proper --infodir and --infopath option.  Set
    these path to /usr/share/info/xemacs21. (Closes: #170785, #308607).
    - Remove unusable debian/convert-texi-files.
    - Don't install extra xemacs21.info.
    - Set package-path to the proper order, as described at XEmacs'
    Lispref manual. (Closes: #151900). 
  * debian/xemacs@MAJVERSION@@SUBNAME@-support.postinst.in: Don't install
    xemacs21.info.
  * debian/00debian.el:
    - Remove TeX-lisp-directory setup. (Closes: #272086).

 -- OHURA Makoto <ohura@debian.org>  Wed, 25 May 2005 21:54:50 +0900

xemacs21 (21.4.17-1) unstable; urgency=high

  * New upstream release
    - Upstream authors withdraw previous release due to the critical
    problem about regular expressions.  So, I set urgency=high.
    (Closes: #293471).
    - Fix Gnus regexp infloop (Closes: #288072).
    - Add new section about cc-mode (Closes: #117096).
  * debian/patches/01_debian_patch.dpatch: Sync with 21.4.17
  * debian/patches/10_movemail_popfmt.dpatch: Delete.  This patch is
    included in upstream source.

 -- OHURA Makoto <ohura@debian.org>  Tue,  8 Feb 2005 01:05:27 +0900

xemacs21 (21.4.16-2) unstable; urgency=high

  * debian/00debian.el: Enable support of wheel mouse (Closes: #288807).
  * debian/control.in:
    - Rewrite short descriptions.
    - Remove description of unpackaged stuff, xemacs21-htmldoc.
  * debian/patches/20_gcc_4.0_compiling.dpatch: Fix compiling problem of
    gcc-4.0 (Closes: #289294).
  * debian/patches/10_movemail_popfmt.dpatch: Fix local privilege
    escalation in movemail [CAN-2005-100].
  * debian/generate-menus: Quote string in menu item.

 -- OHURA Makoto <ohura@debian.org>  Sat,  5 Feb 2005 22:11:01 +0900

xemacs21 (21.4.16-1) unstable; urgency=low

  * New upstream release

 -- OHURA Makoto <ohura@debian.org>  Sun, 12 Dec 2004 15:41:58 +0900

xemacs21 (21.4.15-8) unstable; urgency=low

  * Remove alternatives for ootags and ctags in prerm. (Closes: #269177).
  * debian/patches/10_itimer_error_with_de.dpatch: Fix `itimer timeout'
    error with de_DE locale. (Closes: #228883).
  * debian/patches/10_info_el_with_line_number.dpatch: Fix info.el to
    support info-index with the line number. (Closes: #275795).
  * debian/00debian.el: Rewrite.
    - Fix path for psgml, because sgml-data package changes installation
    directory for sgml stuff. (Closes: #240930).
    - Remove settings for Info-directory-list.
    - Remove auto-mode-alist related to psgml.
    - Remove settings of some variables, whose values are system default
    ones.
    
 -- OHURA Makoto <ohura@debian.org>  Fri, 22 Oct 2004 23:07:36 +0900

xemacs21 (21.4.15-7) unstable; urgency=medium

  * debian/00debian.el: Set sgml-local-catalogs to /etc/sgml/catalog
    instead of /usr/lib/sgml/catalog.  (Closes: #265530).
  * debian/control.in: Add `Conflicts: sgml-base (<< 1.23)' to
    xemacs21-support.  The catalog directory for SGML was changed at
    sgml-base package.
  * debian/patches/10_gnuserv_disable_inet.dpatch: Disable internet domain
    socket for gnuserv for security issues. (Closes: #177236)

 -- OHURA Makoto <ohura@debian.org>  Sat, 28 Aug 2004 11:36:03 +0900

xemacs21 (21.4.15-6) unstable; urgency=medium

  * debian/xemacs@MAJVERSION@@SUBNAME@-support.postinst.in:
    Make symbolic link to /usr/share/xemacs-21.4.15/{lisp,etc} at
    /usr/lib/xemacs-21.4.15. (Closes: #265169, #265177, #265140).

 -- OHURA Makoto <ohura@debian.org>  Thu, 12 Aug 2004 23:02:43 +0900

xemacs21 (21.4.15-5) unstable; urgency=medium

  * This release is the final release for Sarge, I hope.  Fix all RC bugs.
  * debian/patches/04_ia64_segv.dpatch: Disable.  I don't know why but
    patch from SuSE Linux doesn't work fine.
  * debian/patches/04_ia64_not_export_dynamic.dpatch: New patch from
    redhat Bugzilla.  This patch really fix SEGV problem on ia64.
    (Closes: #207412, #149088, #218241).
  * debian/00debian.el: Remove sgml-display-char-list-filename.
    (Closes: #263469, #215900).
  * debian/control.in: Update version dependency for xemacs21-basesupport
    and xemacs21-mulesupport. (Closes: #263529).
  * debian/PackagesMakefile.in: Install architecture-independent files to
    /usr/share, not /usr/lib.

 -- OHURA Makoto <ohura@debian.org>  Wed, 11 Aug 2004 00:07:40 +0900

xemacs21 (21.4.15-4) unstable; urgency=low

  * Rebuild with libtiff4.
  * debian/control.in: Change Build-Depends: from libtiff3g-dev to
    libtiff4-dev.
  * PackagesMakefile.in: Remove src/NEEDTODUMP and src/dump-id.c in clean:
    target.

 -- OHURA Makoto <ohura@debian.org>  Fri, 30 Jul 2004 00:04:06 +0900

xemacs21 (21.4.15-3) unstable; urgency=low

  * Change over to dpatch system.
    - debian/patches/04_ia64_segv.dpatch: Borrow patch for ia64 from
      xemacs21 package of SUSE Linux.  I hope this patch will fix SEGV
      problem on ia64.  Ia64 people, please test this package.
  * debian/PackagesMakefile.in: Run autoconf2.13 in pre-internal-build:
    target.
  * debian/control.in: Add autoconf2.13 and dpatch (>= 1.11) to
    Build-Depends.
  * debian/onntrol.in: Update Standards-Version.
  * Update config.guess and config.sub.

 -- OHURA Makoto <ohura@debian.org>  Tue, 27 Jul 2004 22:10:50 +0900

xemacs21 (21.4.15-2) unstable; urgency=low

  * New maintainer, with previous maintainer's consent.
  * Override previous NMU.
  * debian/rules: Comment out export DEB_BUILD_OPTIONS=nostrip.
  * Fix FTBFS problem on m68k (Closes: #127480, #206667).
  * Remove info dir file in xemacs21-support. (Closes: #249672).

 -- OHURA Makoto <ohura@debian.org>  Thu, 22 Jul 2004 21:42:42 +0900

xemacs21 (21.4.15-1.1) unstable; urgency=low

  * NMU.
  * debian/rules: Comment out export DEB_BUILD_OPTIONS=nostrip.
  * Fix FTBFS problem on m68k (Closes: #127480, #206667).
  * Remove info dir file in xemacs21-support. (Closes: #249672).

 -- OHURA Makoto <ohura@debian.org>  Sat, 17 Jul 2004 21:48:32 +0900

xemacs21 (21.4.15-1) unstable; urgency=low

  * New upstream release
  * Add --with-mule=no to configure targets for nomule binaries.

 -- James LewisMoss <dres@debian.org>  Mon,  9 Feb 2004 22:37:00 -0500

xemacs21 (21.4.14-4) unstable; urgency=low

  * Add var to specify the maximum number of fonts to load from the
    server.

 -- James LewisMoss <dres@debian.org>  Tue, 13 Jan 2004 22:55:31 -0500

xemacs21 (21.4.14-3) unstable; urgency=low

  * Patch from Neil Roeth to fix alpha compile. (Closes: #201657)
  * Patch from anarcat to fix powerpc problems (Closes: #200430)

 -- James LewisMoss <dres@debian.org>  Mon, 10 Nov 2003 10:25:23 -0500

xemacs21 (21.4.14-2) unstable; urgency=low

  * Remove specifying cflags in configure line and let xemacs do its own
    thing.
  * Remove --use_regex_malloc from configure line

 -- James LewisMoss <dres@debian.org>  Fri,  3 Oct 2003 15:05:43 -0400

xemacs21 (21.4.14-1) unstable; urgency=low

  * New upstream release
  * Apply patch from Stephen Turnbull to up malloc limits with REGEX_MALLOC.
    OK revert to no regex malloc.  It's crashing with and without the patch.
  * Copy xemacs icons to /usr/share/icons
  * Apply hpux patch from Lamont Jones (Closes: #206671, #133682)
  * Modify configure.in to handle db4.1's #define db_create db_create_4001
  * Fix descriptions (Closes: #209848)
  * Fix module-load-path (Closes: #206791)

 -- James LewisMoss <dres@debian.org>  Sat, 27 Sep 2003 11:02:36 -0400

xemacs21 (21.4.13-4) unstable; urgency=low

  * Remove -DREGEX_MALLOC from compile.  It's breaking other stuff badly.

 -- James LewisMoss <dres@debian.org>  Sun, 20 Jul 2003 17:39:31 -0400

xemacs21 (21.4.13-3) unstable; urgency=low

  * Apply patch to fix makefile rule (Closes: #200650) (thanks Eric
    Schwartz)
  * Oops.  Forgot to change /packages/ to /xemacs-packages/ in 00debian.el
    (caused missing info pages)
  * Add /usr/share/xemacs21/xemacs-packages/etc/psgml-dtds/CATALOG to
    sgml-local-catalogs

 -- James LewisMoss <dres@debian.org>  Thu, 17 Jul 2003 11:52:38 -0400

xemacs21 (21.4.13-2) unstable; urgency=low

  * Move gnome packages to section gnome (override warning)
  * Remove libsasl-dev build-depend and let libldap2-dev do the depending
    (Closes: #199870)
  * Really add the editclient binary.
  * Write a man page for ellcc.
  * Random fixups to build depends.
  * Make sure libldap2-dev is installed before compile.

 -- James LewisMoss <dres@debian.org>  Tue,  8 Jul 2003 15:20:17 -0400

xemacs21 (21.4.13-1) unstable; urgency=low

  * New upstream release
  * Copy editclient.sh to /usr/bin/editclient (Closes: #197160, #197151)
  * Change xemacs to look in /xemacs-packages rather than /packages to
    match upstream change.
  * add start of, but disable because of errors:
    call emacsen-install with xemacs21-mule, xemacs21-nomule and xemacs21
    (per discussion on debian-emacsen)
  * Fix compiles on ia64 by adding --with-system-malloc (Closes: #169553)
  * Do same for m68k.
  * Add -DREGEX_MALLOC to configure (Closes: #173423)
  * Include ellcc (Closes: #192629)
  * Add debhelper v4 build depends. (lintian)
  * Copy new config.{guess,sub} (lintian)
  * remove conffiles file. (lintian)

 -- James LewisMoss <dres@debian.org>  Tue, 24 Jun 2003 15:41:07 -0400

xemacs21 (21.4.12-1) unstable; urgency=low

  * New upstream release

 -- James LewisMoss <dres@debian.org>  Mon, 27 Jan 2003 12:28:22 -0500

xemacs21 (21.4.11-1) unstable; urgency=low

  * New upstream release
  * Recompile to get new libpg deps.
  * Remove conffile file.  Fix copyright (s). (lintian)

 -- James LewisMoss <dres@debian.org>  Fri, 10 Jan 2003 18:33:51 -0500

xemacs21 (21.4.10-3) unstable; urgency=low

  * Add gnuclient menu entry in -bin package (Closes: #171433)
  * Recompile for new libpg interface.

 -- James LewisMoss <dres@debian.org>  Fri,  3 Jan 2003 09:13:31 -0500

xemacs21 (21.4.10-2) unstable; urgency=low

  * Remove copied config.values files. (makes diff smaller)
  * Change build-depends on libxaw-dev to libxaw7-dev. (Closes: #169997)
  * Recompile to fix bonobo-activation crash (I hope)

 -- James LewisMoss <dres@debian.org>  Sun, 24 Nov 2002 10:58:21 -0500

xemacs21 (21.4.10-1) unstable; urgency=low

  * New upstream release
  * Add copyright notice from documentation (Closes: #161501)
  * Add update-alt --remove ootags in bin postinst (Closes: #159469)
  * Add --pdump option and handle the extra files.  Required by
    incompatibility with glibc 2.3.1.
  * Remove ctags from package.  Exuberant-ctags provides a better version
    for the vi's of the world.
  * Patch pdump code to look in docdir for DUMP additionally to the .dmp
    file in /usr/bin.
  * Remove /usr/doc link stuff.
  * Include config.values in per type dirs.
  * Move xemacs info files to /usr/share/info/xemacs21 and put the
    xemacs21 info file there.

 -- James LewisMoss <dres@debian.org>  Mon, 11 Nov 2002 09:37:54 -0500

xemacs21 (21.4.9-1) unstable; urgency=low

  * New upstream release

 -- James LewisMoss <dres@debian.org>  Mon, 14 Oct 2002 10:22:18 -0400

xemacs21 (21.4.8-3) unstable; urgency=low

  * Add --with-file-coding opt to configure.

 -- James LewisMoss <dres@debian.org>  Mon, 14 Oct 2002 09:56:28 -0400

xemacs21 (21.4.8-2) unstable; urgency=low

  * Add --with-pop to configure line (Closes: #37854)
  * Add DEB_BUILD_OPTIONS support for debug and depend on dh_strip to deal
    with nostrip correctly (Policy change)
  * Fix gnuclient/gtk problem (Closes: #)
  * Revert setq -> custom-set-variables change from 21.4.6-9 in 00debian.el
  * Add gtk as window-system for setting fonts in psgml.
  * Add xemacs-21.4.8 to path for xemacs info files (Closes: #152288)
  * Minor README changes.
  * Switch to using /usr/share/info as the base info dir rather than
    /usr/info.

 -- James LewisMoss <dres@debian.org>  Tue,  6 Aug 2002 10:24:58 -0400

xemacs21 (21.4.8-1) unstable; urgency=low

  * New upstream.
  * Fix texi modifying script to remove all the .old files (now .deb-old)
  * Remove ootags from xemacs21-bin package so as not to conflict with
    oo-browser package (which actually uses the program and xemacs doesn't
    by default).

 -- James LewisMoss <dres@debian.org>  Wed, 15 May 2002 23:46:14 -0400

xemacs21 (21.4.6-9) unstable; urgency=low

  * Remove /usr/info from Info-directory-list
  * Wrap if file-directory-p's around /usr/local/info and add
    /usr/share/info with same wrap.
  * Remove usr/share/info/xemacs-.../dir.gz since we shouldn't ever be
    using it.
  * wrap mule-packages info file dir in a file-directory-p.
  * Use custom-set-variables to set everything rather than setq and
    setq-default.
  * Remove duplicated info with let and use @@ replacements for
    load-path.
  * Move @@ stuff to two setqs at the top of the file and use those vars
    everywhere.  More random elisp cleanups.
  * Don't generate subdirectory ref in xemacs21.info file to avoid not
    found warnings in search for subdir.  Use search path dir to catch it
    instead.
  * Fix texi file conversion (wasn't modifying files in subdirs)
  * Maybe fix some of the psgml problems with the 00debian.el cleanup (use
    local variables rather than overwriting xemacs system ones)
  * Add DH_COMPAT=4 to rules.
  * Minor rules file formatting changes.
  * add install and pre-build to .PHONY tag in rules.
  * add .PHONY to ConfigMakefile
  * Remove the --without-postgresql cause postgresql is now in base.
  * Add -f to all rm calls in the generate scripts.

 -- James LewisMoss <dres@debian.org>  Thu,  2 May 2002 23:36:34 -0400

xemacs21 (21.4.6-8) unstable; urgency=low

  * Add (packages-reload-autoloads) to 00.debian.el.  This may fix a lot
    of problems people are having.
  * Reverse order of /etc/ dirs in path to comply with emacsen policy.
  * Add /usr/local/share/emacs/{site-lisp,xemacs-@VERSION/site-lisp} to
    load path to comply with emacsen policy. (Though I don't know why it's
    policy :)

 -- James LewisMoss <dres@debian.org>  Sun,  7 Apr 2002 10:40:44 -0400

xemacs21 (21.4.6-7) unstable; urgency=low

  * Recompile to fix libpng troubles (Closes: #130171)
  * OK.  Now use the symlink xemacs21-<type> for the alternatives
    mechanism so we track across minor version without breaking things.
    Unfortunately that means we need to clean up past screwups, so
    --remove for versions 1-5 in postinst. (Closes: #129499)

 -- James LewisMoss <dres@debian.org>  Sun, 20 Jan 2002 19:27:51 -0500

xemacs21 (21.4.6-6) unstable; urgency=low

  * Oops.  Added a couple too many )'s in 00debian.el (Closes: #127140)

 -- James LewisMoss <dres@debian.org>  Sun, 30 Dec 2001 22:02:40 -0500

xemacs21 (21.4.6-5) unstable; urgency=low

  * OK.  Ppc is broken with the current nocombreloc setup.  It needs
    "-Wlinker -znocombreloc" rather than "-z nocombreloc".  Check if
    everything will work with the former.

 -- James LewisMoss <dres@debian.org>  Sun, 30 Dec 2001 08:44:42 -0500

xemacs21 (21.4.6-4) unstable; urgency=low

  * Back out all the configure.in changes related to nocombreloc.
  * Recompile to fix crash with nomule and mule (Closes: #126815)

 -- James LewisMoss <dres@debian.org>  Sat, 29 Dec 2001 17:32:22 -0500

xemacs21 (21.4.6-3) unstable; urgency=low

  * Add .xemacs/xemacs-packages .xemacs/packages to 00debian.el
  * Redirect error output from dpkg in postinst.  Oops.  (Closes: #126011)
  * Fix configure.in to use "-znocombreloc" rather than "-z nocombreloc"
    (Closes: #126028)

 -- James LewisMoss <dres@debian.org>  Thu, 27 Dec 2001 14:03:23 -0500

xemacs21 (21.4.6-2) unstable; urgency=low

  * Look for packages in ~/.xemacs/xemacs-packages (Closes: #125708)
  * Clean up packages setup to remove double strings.

 -- James LewisMoss <dres@debian.org>  Wed, 19 Dec 2001 12:25:18 -0500

xemacs21 (21.4.6-1) unstable; urgency=low

  * New upstream. (Closes: #119659)
  * Remove .cvsignore and check_cygwin_setup.sh from -support package
    (lintian warnings and errors)
  * Only update-alternatives --remove on != upgrade (Closes: #120697,
    #119910)
  * Redirect stderr to make harmless error messages go away (Closes:
    #120916)
  * No longer uses esd (Closes: #112841)
  * Apply patch from mailing list to fix random popping window with
    gnome/gtk version (Closes: #101030, #106975)

 -- James LewisMoss <dres@debian.org>  Tue, 18 Dec 2001 00:06:10 -0500

xemacs21 (21.4.5-1) unstable; urgency=low

  * New upstream.
  * Remove esd as compile for sound.
  * Add --ldflags="-s -znocombreloc" to configure line.  Should fix
    crashes. (Thanks Salman Ahmed)
  * Fix copyright file to point to correct place for the GPL (lintian)

 -- James LewisMoss <dres@debian.org>  Thu, 15 Nov 2001 15:13:45 -0500

xemacs21 (21.4.4-1) unstable; urgency=low

  * New upstream. (Closes: #95382, #102731, #101758)
  * Apply patch from Aaron Crane to fix file names in
    load-history. (Closes: #58313, #65816)
  * Apply patch to fix athena widget sensing (Peter Brown from xemacs ml)
  * Add --with-ipv6-cname=no to configure line.  Closes slow startup times
    bugs. (Closes: #104533)
  * Remove --const-is-losing configure arg.
  * README-beta -> README-release in support installed docs.

 -- James LewisMoss <dres@debian.org>  Mon, 30 Jul 2001 12:15:51 -0400

xemacs21 (21.4.3-4) unstable; urgency=low

  * Apply patch from Aaron Crane to fix file names in
    load-history. (Closes: #58313, #65816)

 -- James LewisMoss <dres@debian.org>  Sun, 29 Jul 2001 22:24:37 -0400

xemacs21 (21.4.3-3) unstable; urgency=low

  * Change faces used in sgml (Closes: #105588)
  * Add g to sed commands (Closes: #101512)
  * Apply gtk scrollbar patch (Closes: 101482, #101202)

 -- James LewisMoss <dres@debian.org>  Tue, 24 Jul 2001 20:49:30 -0400

xemacs21 (21.4.3-2) unstable; urgency=low

  * Fix build depends libgnome32-dev -> libgnome-dev (Closes: #101210)
  * Put a versioned depends on -basesupport and -mulesupport >=
    2001.04.08-1 (Closes: #101035)
  * Uploaded new version (Closes: #97990)
  * Have menu files launch alternative xemacs names (Closes: #99074)

 -- James LewisMoss <dres@debian.org>  Sun, 17 Jun 2001 15:14:50 -0400

xemacs21 (21.4.3-1) unstable; urgency=low

  * New upstream.

 -- James LewisMoss <dres@debian.org>  Fri,  8 Jun 2001 23:56:03 -0400

xemacs21 (21.4.1-3) unstable; urgency=low

  * Add gnome versions of mule, nomule, and mule-canna-wnn packages.
  * Autogenerate the .menu.in, .postinst.in, prerm.in and preinst.in files
    for all the xemacs bin packages.
  * Add build depends on the gnome libraries for the new gnome packages.

 -- James LewisMoss <dres@debian.org>  Thu, 24 May 2001 01:45:52 -0400

xemacs21 (21.4.1-2) unstable; urgency=low

  * add --without-postgresql to configure line (Closes: #98449, #98437)

 -- James LewisMoss <dres@debian.org>  Tue, 22 May 2001 22:25:10 -0400

xemacs21 (21.4.1-1) unstable; urgency=low

  * New upstream.
  * Change --lockdir to --statedir.
  * Remove --with-session and --gung-ho (no longer supported by configure)

 -- James LewisMoss <dres@debian.org>  Sun,  6 May 2001 02:17:21 -0400

xemacs21 (21.1.14-5) unstable; urgency=low

  * Add check for -ldb-3 in configure.in.

 -- James LewisMoss <dres@debian.org>  Mon, 30 Apr 2001 15:13:33 -0400

xemacs21 (21.1.14-4) unstable; urgency=lwo

  * Oops.  Forgot to really add libxaw-dev as build depends.
  * Change build depends from libdb2-dev to libdb3-dev.

 -- James LewisMoss <dres@debian.org>  Sat, 28 Apr 2001 23:38:31 -0400

xemacs21 (21.1.14-3) unstable; urgency=low

  * Add libxaw-dev as build depends (Closes: #92479)

 -- James LewisMoss <dres@debian.org>  Fri, 27 Apr 2001 10:47:13 -0400

xemacs21 (21.1.14-2) unstable; urgency=low

  * Remove xpm4g build depends. (Closes: #91973)
  * Fixes to sgml-base fixed psgml hang problems (Closes: #89190, #90472)
  * Add ~/.xemacs/packages to the package path (Closes: 90351)
  * Man page missing lines fixed. (Closes: #86071, #76180)
  * Bug seems fixed.  Can't reproduce. (Closes: #77814)
  * Add Text hints to menus (Closes: #80162, #80043)
  * Include /usr/share/xemacs21/site-packages/info in -support package
    (Closes: #88826)
  * Up standards version to 3.1.0 (lintian)
  * Move install-info call from postrm to prerm. (lintian)
  * Add .so man pages for the xemacs21-{mule,mule-canna-wnn,nomule}
    symlinks (lintian)

 -- James LewisMoss <dres@debian.org>  Thu, 29 Mar 2001 18:02:27 -0500

xemacs21 (21.1.14-1) unstable; urgency=low

  * New upstream.
  * Closes gnuserv security problem. (Closes: #84628)
  * Remove dh_suidregister calls.  Add conflicts.
  * Add psgml code.  (Closes: #83051)
  * Remove xemacs21-fake from -bin package.  It's outlived it's usefulness
    (if it ever was)
  * Strip xemacs binaries again.  Whatever troubles there were seem to be
    gone again.

 -- James LewisMoss <dres@debian.org>  Sun,  4 Feb 2001 18:36:54 -0500

xemacs21 (21.1.13-1) unstable; urgency=low

  * New upstream.
  * Merge Chinese mule environment changes into upstream changes.  Someone
    who knows something about this let me know if the upstream is good
    enough on it's own.
  * Upstream changes fixed (split-string "foo bar" "") problem (Closes:
    #80851)

 -- James LewisMoss <dres@debian.org>  Mon,  8 Jan 2001 02:03:05 -0500

xemacs21 (21.1.12-4) unstable; urgency=low

  * Set TeX-lisp-directory (Closes: #76139)

 -- James LewisMoss <dres@debian.org>  Sat, 16 Dec 2000 04:29:13 -0500

xemacs21 (21.1.12-3) unstable; urgency=low

  * Add Chinese mule fix to lisp/mule/mule-init.el  (Closes: #63805)
  * New xemacs21-basesupport fixes psgml parsing problem (Closes: #69911)
  * Someone else has put out a gtk version.  (Closes: #75370, #70518)
  * Has been recompiled against new libdb/libc (Closes: #72682)
  * Long fixed bug.  Recompiled with libwnn6-dev (Closes: #57016)
  * Long fixed bug.  Debian README mentions fontset (Closes: #68380)
  * Long fixed bug.  New version.  (Closes: #65483)
  * Fix manpages whatis problem (Patch from Torsten thanks) (Closes:
    #74275, #78102)
  * Stop stripping the xemacs binaries.  It's breaking things.
  * Update build-depends (add debhelper and some more libs) (lintian)

 -- James LewisMoss <dres@debian.org>  Mon, 11 Dec 2000 18:10:49 -0500

xemacs21 (21.1.12-2) unstable; urgency=low

  * Recompile for libdb versioned symbols problem.

 -- James LewisMoss <dres@debian.org>  Wed, 27 Sep 2000 02:10:12 -0400

xemacs21 (21.1.12-1) unstable; urgency=low

  * Remove remaking configure (patch to that has been applied upstream).
  * Added texi2html to Build-Depends (though not technically neccessary
    yet) (Closes: #66753)
  * Added a alternative to /usr/lib/xemacs-@VERSION@/@CONF_NAME@/movemail
    to /usr/bin/movemail.  I'm sure I'll regret it.  Anyway.
    (Closes: #66423)
  * Add alternative as above, but for mmencode (Closes: #64722, #66826)
  * Add some more depends to make the packages tied together more strongly
    (fixes problem with new upstream and other arches than first)
  * New upstream.
  * Add links from xemacs21-{mule,nomule,mule-canna-wnn} to
    xemacs-@VERSION@-{mule,nomule,mule-canna-wnn}  (Make it easier on
    upgrades to pick a type without worrying about minor version changes.)
  * Fix cleanup of debian/xemacs@MAJVERSION@.texi (and add a trailing
    newline to the file)

 -- James LewisMoss <dres@debian.org>  Sun,  6 Aug 2000 14:37:27 -0400

xemacs21 (21.1.10-4) frozen unstable; urgency=low

  * Remove /usr/share/emacs/site-lisp (the subdir call, leaving the final
    one) behind the default load path. (Closes: #66319) (RC bug)

 -- James LewisMoss <dres@debian.org>  Wed, 28 Jun 2000 18:51:22 -0400

xemacs21 (21.1.10-3) frozen unstable; urgency=low

  * Revert setting debian-emacs-flavor in startup.el.in (change to
    emacsen-common)

 -- James LewisMoss <dres@debian.org>  Tue, 20 Jun 2000 14:35:45 -0400

xemacs21 (21.1.10-2) frozen unstable; urgency=low

  * Comment out gnuclient as xemacs21 alternative.  It's just causing too
    many troubles.  If anyone can tell me how I'm abusing
    update-alternatives so that I can fix this problem I'd love it.

 -- James LewisMoss <dres@debian.org>  Thu,  8 Jun 2000 19:43:31 -0400

xemacs21 (21.1.10-1) frozen unstable; urgency=low

  * Newest bug fix upstream.
  * I'd stick with 21.1.8 for frozen, but it no longer compiles on potato
    this one does, and this contains the pty security bug fix.
  * Add a make-coding-system for us-ascii in 00debian.el.
  * Revert coding-system configure option (make only major bug left in
    21.1.9-3 go away)

 -- James LewisMoss <dres@debian.org>  Sat, 27 May 2000 16:53:14 -0400

xemacs21 (21.1.9-3) unstable; urgency=low

  * Add an xemacs21-fake binary to be installed by xemacs21-bin to avoid
    the problem where there are no xemacs21 binaries and
    update-alternatives doesn't create a link xemacs->xemacs21 (Closes:
    #63207, #63326)
  * Revert requiring emacsen-common >= 1.4.10 (So it'll install on a
    potato system)

 -- James LewisMoss <dres@debian.org>  Fri,  5 May 2000 22:04:42 -0400

xemacs21 (21.1.9-2) unstable; urgency=low

  * Make everything depend on (= ${Source-Version}) (Closes: #62026,
    #61964, #62353)
  * Make the xemacs21 package replace/conflict xemacs and
    xemacs-widgets. (Closes: #61852)
  * Compile with file coding support. (Closes: #48771, #49332)
  * add "(setq delete-key-deletes-forward t)" to fix console
    problem. (Closes: #24607, #20293, #43189)
  * Add versioned depends on emacsen-common (emacsen policy)
  * Add /etc/emacs and /etc/xemacs@MAJVERSION@ to load path and then load
    "site-start" (emacsen policy)
  * Add dir and subdirs of /usr/share/emacs/site-lisp (emacsen policy)
  * Ignoring section 9 of emacsen policy.  The paths make no sense.
  * The above three (Closes: #31650)
  * mwheel included in 21.1.9 (Closes: #32771)
  * Add Build-Depends (Closes: #53879, #62301)
  * Apply pty security patch from lwn.net/daily/rc-emacs.html.
  * run autoconf and remove configure.in because we had to mod
    configure.in.  (pty patch above)
  * Fix pty patch.  Used sigunblock which doesn't seem to exist.  Instead
    save sigmask before calling sigblock and restore it at the end.

 -- James LewisMoss <dres@debian.org>  Wed, 19 Apr 2000 23:36:39 -0400

xemacs21 (21.1.9-1) unstable; urgency=low

  * Fix defvar -> setq in site-start.el.in (fixes problems with changes to
    emacsen-common) (Closes: #61102)
  * Add gnuclient as an alternative to xemacs and xemacs21 (Closes: #57528)
  * Remove pstogif refs.  It's been removed from the upstream.

 -- James LewisMoss <dres@debian.org>  Sun, 26 Mar 2000 11:28:27 -0500

xemacs21 (21.1.8-2) unstable; urgency=low

  * Remove code to ignore emacsen errors. (Closes #52167)
  * Comment out setting of nnmail-spool-file in 00debian.el.in (Closes
    #53740)
  * Configure with --with-gpm=no (Closes #53741)
  * Fix copyright location in copyright file (lintian error).
  * Fix case of changelog in xemacs21-support (lintian error).

 -- James LewisMoss <dres@debian.org>  Fri, 31 Dec 1999 10:04:37 -0500

xemacs21 (21.1.8-1) unstable; urgency=low

  * New upstream (removing emacs.c, unexelf.c, and japanese.el patches now
    included upstream).
  * Add a bunch of notes to README.Debian. Closes: #49055.
  * Make package path build type specific (if specified it will make
    non-mule compiles unhappy if it includes mule-packages).

 -- James LewisMoss <dres@debian.org>  Wed,  3 Nov 1999 19:01:41 -0500

xemacs21 (21.1.7-10) unstable; urgency=low

  * Make dir-and-all-good-subs check for existence of directory before
    trying to read it and return nil if it doesn't exist.
  * Add preinst for mule, nomule, and mule-canna-wnn to remove old
    alternatives for xemacs21.

 -- James LewisMoss <dres@debian.org>  Sun, 31 Oct 1999 21:48:01 -0500

xemacs21 (21.1.7-9) unstable; urgency=low

  * Apply Andreas Jaeger's malloc patch.

 -- James LewisMoss <dres@debian.org>  Thu, 28 Oct 1999 20:05:30 -0400

xemacs21 (21.1.7-8) unstable; urgency=low

  * Added patch to fix japanese autodetection.  Closes: #47794.
  * Back to 21.1.7 unexelf.c with patch from xemacs-patches.
  * Add update-alternatives lines in -bin postinst to remove the old
    alternatives from 21.1-p2.
  * Adjust alternatives values for new packages so they overwrite any old
    values hanging around.  This and above are all I can do to fix
    47770. Closes: #47770.
  * Add postinst to xemacs21 to add the /usr/doc link (gets rid of lintian
    warning)

 -- James LewisMoss <dres@debian.org>  Sat, 23 Oct 1999 23:33:27 -0400

xemacs21 (21.1.7-7) unstable; urgency=low

  * Fix path of chown in 00debian.el.in, Closes: #47728
  * Fix depends line in xemacs21 package.  Closes: #47794
  * Fixe xemacs21 to have full complement of doc files.

 -- James LewisMoss <dres@debian.org>  Tue, 19 Oct 1999 19:51:25 -0400

xemacs21 (21.1.7-6) unstable; urgency=low

  * Make movemail properly chmoded.
  * Add postinst/prerm actions for /usr/doc links.

 -- James LewisMoss <dres@debian.org>  Mon, 11 Oct 1999 22:54:38 -0400

xemacs21 (21.1.7-5) unstable; urgency=low

  * Add patches from
    http://www.gohome.org/teranisi/patches/lwlib-Xaw.c.diff
    http://www.gohome.org/teranisi/patches/xlwmenu.c.diff (Suggestion from
    Takuo KITAME)
  * Add /usr/lib/xemacs/site-lisp and /usr/lib/xemacs/site-lisp-21 to
    support.  (Also from Takuo KITAME)
  * Recompile against latest mulesupport and basesupport packages.

 -- James LewisMoss <dres@debian.org>  Sun, 10 Oct 1999 14:48:15 -0400

xemacs21 (21.1.7-4) unstable; urgency=low

  * Revert to the version of unexelf.c from 21.1.4.  Should fix the random
    crashing problems.

 -- James LewisMoss <dres@debian.org>  Sun, 10 Oct 1999 00:35:46 -0400

xemacs21 (21.1.7-3) unstable; urgency=low

  * Recompiling hell.

 -- James LewisMoss <dres@debian.org>  Wed,  6 Oct 1999 22:52:11 -0400

xemacs21 (21.1.7-2) unstable; urgency=low

  * Recompile without Xaw3d.  Let's hope this fixes the problem.

 -- James LewisMoss <dres@debian.org>  Wed,  6 Oct 1999 08:12:24 -0400

xemacs21 (21.1.7-1) unstable; urgency=low

  * Recompile for the damn libc.

 -- James LewisMoss <dres@debian.org>  Mon,  4 Oct 1999 23:10:54 -0400

xemacs21 (21.1.7-0.1) unstable; urgency=low

  * New upstream.

 -- James LewisMoss <dres@debian.org>  Wed, 29 Sep 1999 22:41:21 -0400

xemacs21 (21.1.6-0.7) unstable; urgency=low

  * Recompile with new libc.

 -- James LewisMoss <dres@debian.org>  Sun, 26 Sep 1999 23:47:26 -0400

xemacs21 (21.1.6-0.6) unstable; urgency=low

  * Lower xemacs alternative till testing period is over with.

 -- James LewisMoss <dres@debian.org>  Tue, 21 Sep 1999 07:41:31 -0400

xemacs21 (21.1.6-0.5) unstable; urgency=low

  * Recompile with new libc and ldso.

 -- James LewisMoss <dres@debian.org>  Sat, 18 Sep 1999 00:06:51 -0400

xemacs21 (21.1.6-0.4) unstable; urgency=low

  * Fix "not loading /etc/xemacs21/site-start.d files at startup" problem
    (copy site-start.el and debian-rundir.el to
    /usr/share/xemacs21/site-packages/lisp).

 -- James LewisMoss <dres@debian.org>  Thu, 16 Sep 1999 19:42:38 -0400

xemacs21 (21.1.6-0.3) unstable; urgency=low

  * Fix get_menu_part to use .in method, and fix the :: or :
    (stuff). difference (should fix some of the info file oddness where
    some didn't come back to the xemacs21 file.
  * Move some stuff from rules to PackagesMakefile.in that belong there.
  * Fix the /usr/info dir removal.

 -- James LewisMoss <dres@debian.org>  Tue, 14 Sep 1999 22:18:51 -0400

xemacs21 (21.1.6-0.2) unstable; urgency=low

  * Fix site-lisp handling.
  * Make manpages compressed.
  * Change info path.
  * Compress files in -supportel.
  * Move only the lisp directory in -supportel.
  * add -nw to text menu entries.
  * Up update-alternatives number for this package above the xemacs20
    packages (newer is better right?)
  * Fix Info-additional-search-directory-list to look in /usr/share/info
    rather than /usr/info.
  * Add rmdir commands to -support prerm (for
    /usr/local/lib/xemacs/site-lisp)
  * Fix the .texi files so that the (dir) points to (xemacs21) instead.
  * docdir patch from upstream. (Michael Sperber)
  * Fix manpage update-alternatives calls in -bin postinst to go to
    /usr/share/man rather than /usr/man.

 -- James LewisMoss <dres@debian.org>  Mon, 13 Sep 1999 23:54:26 -0400

xemacs21 (21.1.6-0.1) unstable; urgency=low

  * New upstream.
  * Fix prerm to use xemacs@MAJVERSION@ rather than xemacs20 for
    alternatives.  Oops. (Which is why old ones left around.)
  * Add update-alternatives lines in -bin.postrm to get rid of
    alternatives left from the above mistake.
  * Fix copy locations for DOC files to the CONF_NAME path rather than
    etc.
  * Write man pages for b2m, pstogif, and rcs-checkin.  Add ootags info to
    the etags manpage and create linking ootags manpage.  Modify the
    ctags, gnuclient, gnudoit and gnuattach so that they point towards the
    correct man pages.
  * Add the binaries and manpages to -bin and fix handling of them in
    {post,pre}{rm,inst}.
  * Fix some buglets in the {post,pre}{rm,inst}s.
  * Fix mkdir/cp commands to use $@.

 -- James LewisMoss <dres@debian.org>  Thu,  9 Sep 1999 22:27:15 -0400

xemacs21 (21.1.2-1) unstable; urgency=low

  * New upstream

 -- James LewisMoss <dres@debian.org>  Sat,  5 Jun 1999 21:41:00 -0400

xemacs21 (21.0.67-1) unstable; urgency=low

  * Initial Release.
  * Never released.

 -- James LewisMoss <dres@debian.org>  Sun, 21 Mar 1999 17:07:12 -0500
